{*********************************************************}
{* File       : DB_DEF.INC                               *}
{* Vers.      : 1.0                                      *}
{* Last Edit  : 26.8.92                                  *}
{* Autor      : G. Born                                  *}
{* Progr. Spr.: Turbo Pascal 4.0/5.0/6.0                 *}
{* Funktion   : Definition der Datentypen fr DBF_LIB    *}
{*********************************************************}

Const
 PathLength = 65;                     {* Lnge Filename           *}

TYPE header = Record                  {* Header einer DBASE Datei *}
 version   : byte;                    {* Version 03H oder 83H     *}
 datum     : array [1..3] of byte;    {* Datum JJ MM TT           *}
 records   : longint;                 {* Records in Datenbank     *}
 headerb   : word;                    {* Zahl der Bytes im Kopf   *}
 recordb   : word;                    {* Zahl der Bytes pro Record*}
 reserve   : array [1..20] of byte;   {* reservierte Bytes        *}
END;

TYPE feld = Record                    {* Feldbeschreibung im Kopf *}
 fname     : array [1..11] of byte;   {* Feldname 11 Zeichen      *}
 ftyp      : byte;                    {* C N L D M                *}
 dummy1    : array [1..4] of byte;    {* Dummy Feld               *}
 laenge    : byte;                    {* Zahl der Stellen         *}
 komma     : byte;                    {* Zahl der Nachkommastellen*}
 dummy2    : array [1..2] of byte;    {* reservierte Bytes        *}
 id        : byte;                    {* ID Byte                  *}
 dummy3    : array [1..11] of byte;   {* reserviert               *}
END;

Type dbsatz = array [1..1024] of byte;{* Typ fr Datensatz        *}

Type Name = string[PathLength];       {* Typ fr Filename         *}

VAR kopf :  header;                   {* Variable fr Dateiheader *}
    felder: array [1..128] of feld ;  {* Beschreib. fr 128 Felder*}
    anzahl: longint;                  {* Zahl der Felder          *}
    buffer : dbsatz;
    recnr : longint;                  {* Satznummer Dbase         *}

    FileName: Name;                   {* Dateiname                *}

{*   Ende der Definitionsdatei *}
